Subject: Re: [Stox] AD Evaluation of draft-ietf-stox-7248bis-05

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 5 Nov 2015 09:21:02 -0700

Hi Ben & all,

My apologies for the delayed replies. I haven't forgotten about this 
work but I'm only able to make slow progress right now.

On 9/28/15 9:16 PM, Ben Campbell wrote:
> On 28 Sep 2015, at 21:15, Peter Saint-Andre - &yet wrote:
>
>> Proposed text inline.
>>
>> On 9/23/15 8:52 PM, Peter Saint-Andre - &yet wrote:
>>>
>>> On 9/21/15 9:25 PM, Ben Campbell wrote:

<snip/>

>>>> -- Example 4:
>>>>
>>>> The Request-URI should match the Contact header field value from the
>>>> SUBSCRIBE. (Technically, from the last message from the peer, but
>>>> assuming you don't have them change contacts mid-stream, it's the
>>>> same.)
>>>> You also might want to consider whether the aforementioned contact
>>>> values are useful examples. (Repeats in later examples)
>>>
>>> Noted.
>>
>> Is your suggestion that we not include the Contact headers, or only
>> that we look carefully at the values of those headers?
>
> The second. The contact identifies (and routes to) the device that sent
> the containing message. And with RFC 6665, the contact sent by the
> notifier MUST contain a GRUU (RFC 5627).
>
> For example:
>
>        Contact: <sip:[email-masked];gr=hdg7777ad7aflzig8sf7>
>
>
> It wouldn't hurt for the subscriber to also contain one, albeit the gruu
> value should be unique per device.

I'm still confused about this. The examples in RFC 3856 aren't 
consistent with what you've written above. For example:

    F1 SUBSCRIBE   watcher->example.com server

       SUBSCRIBE sip:[email-masked] SIP/2.0
       Via: SIP/2.0/TCP watcherhost.example.com;branch=z9hG4bKnashds7
       To: <sip:[email-masked]>
       From: <sip:[email-masked]>;tag=xfg9
       Call-ID: [email-masked]
       CSeq: 17766 SUBSCRIBE
       Max-Forwards: 70
       Event: presence
       Accept: application/pidf+xml
       Contact: <sip:[email-masked]>
       Expires: 600
       Content-Length: 0

Then:

    F3 NOTIFY  example.com server-> watcher

       NOTIFY sip:[email-masked] SIP/2.0
       Via: SIP/2.0/TCP server.example.com;branch=z9hG4bKna998sk
       From: <sip:[email-masked]>;tag=ffd2
       To: <sip:[email-masked]>;tag=xfg9
       Call-ID: [email-masked]
       Event: presence
       Subscription-State: active;expires=599
       Max-Forwards: 70
       CSeq: 8775 NOTIFY
       Contact: sip:server.example.com
       Content-Type: application/pidf+xml
       Content-Length: ...

Are the examples in RFC 3856 wrong or out of date?

Peter

---

From: "Ben Campbell" <[email-masked]>
Date: Wed, 11 Nov 2015 16:47:01 -0600

> work but I'm only able to make slow progress right now.

Understood, no problem.

> Are the examples in RFC 3856 wrong or out of date?

Out of date. The gruu requirement for SUBSCRIBE/NOTIFY was added in RFC 
6665. (Heck, gruu itself didn't exist when RFC 3856 was published.)

Thanks!

Ben.